classification
Title: PEP 370
Type: enhancement Stage:
Components: Distutils, Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, gregory.p.smith, jcea
Priority: critical Keywords: patch

Created on 2008-01-11 21:23 by christian.heimes, last changed 2008-05-08 20:44 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
pep370.patch christian.heimes, 2008-05-05 20:12
Messages (6)
msg59754 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-11 21:23
The patch adds a per user site-packages directory and a --user option
for distutils' setup.py install. It also cleans up site.py a bit and
makes addsitepackages() extensible.

I'm going to write a mini PEP soonish.
msg59871 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-13 23:12
The new patch adds the -s option, checks for getuid() == geteuid() and
adds sys.flags (see #1816).
msg59883 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2008-01-14 01:40
nice.  ping a mac developer for what to do with the darwin stuff that
you commented out.

It'd also be nice to have unit tests for the new behavior.  Though i
don't think we have many (any?) of that type of regression test right
now.  Such a test would need to setup a test user site package,
os.system another instance python with and without -s to confirm if it
saw the test site package that was just created or not followed by
cleaning it all up.
msg59989 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-16 05:30
Future patches will be applied to the branch directly:

http://svn.python.org/view/sandbox/trunk/pep370
msg66281 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-05-05 20:12
The new patch applies cleanly in the trunk.
msg66448 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-05-08 20:44
The PEP370 has been accepted and the patch has been applied.
History
Date User Action Args
2008-05-08 20:44:14christian.heimessetstatus: open -> closed
resolution: accepted
messages: + msg66448
2008-05-05 20:12:31christian.heimessetpriority: normal -> critical
files: + pep370.patch
messages: + msg66281
title: Per user site-packages and setup.py install --user patch -> PEP 370
2008-05-05 20:11:17christian.heimessetfiles: - trunk_usersite4.patch
2008-01-16 05:30:32christian.heimessetmessages: + msg59989
2008-01-16 03:13:37jceasetnosy: + jcea
2008-01-14 04:48:35christian.heimessetfiles: - trunk_usersite3.patch
2008-01-14 04:48:26christian.heimessetfiles: - trunk_usersite.patch
2008-01-14 04:48:20christian.heimessetfiles: + trunk_usersite4.patch
2008-01-14 01:40:03gregory.p.smithsetnosy: + gregory.p.smith
messages: + msg59883
2008-01-13 23:12:03christian.heimessetfiles: + trunk_usersite3.patch
messages: + msg59871
2008-01-11 21:23:28christian.heimescreate